# gnome-print-preview

## Name

gnome-print-preview --

## Synopsis

    struct      GnomePrintPreview;
    struct      GnomePrintPreviewClass;
    GnomePrintContext* gnome_print_preview_new  (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas);
    GnomePrintContext* gnome_print_preview_new_full
                                                (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas,
                                                 const gdouble *transform,
                                                 const ArtDRect *region);

## Object Hierarchy

      GObject
       +----GnomePrintContext
             +----GnomePrintPreview

## Description

## Details

### struct GnomePrintPreview

    struct GnomePrintPreview;

### struct GnomePrintPreviewClass

    struct GnomePrintPreviewClass;

### gnome_print_preview_new ()

    GnomePrintContext* gnome_print_preview_new  (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas);

Creates a new PrintPreview object that use the canvas GnomeCanvas as its rendering backend.

config : |
canvas : | Canvas on which we display the print preview
Returns : | A GnomePrintContext suitable for using with the GNOME print API.

### gnome_print_preview_new_full ()

    GnomePrintContext* gnome_print_preview_new_full
                                                (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas,
                                                 const gdouble *transform,
                                                 const ArtDRect *region);

config : |
canvas : |
transform : |
region : |
Returns : |